Bug 1680582 - Sanitize autofs logging
Summary: Sanitize autofs logging
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: autofs
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Ian Kent
QA Contact: Kun Wang
URL:
Whiteboard:
Depends On:
Blocks: 1689466
TreeView+ depends on / blocked
 
Reported: 2019-02-25 11:04 UTC by Marko Myllynen
Modified: 2019-08-06 13:10 UTC (History)
1 user (show)

Fixed In Version: autofs-5.0.7-105.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1689466 (view as bug list)
Environment:
Last Closed: 2019-08-06 13:10:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2250 None None None 2019-08-06 13:10:39 UTC

Description Marko Myllynen 2019-02-25 11:04:54 UTC
Description of problem:
With logging = verbose we see entries like:

Feb 18 13:46:13 localhost automount: 1 remaining in /-
Feb 18 13:46:16 localhost automount: 1 remaining in /-
Feb 18 13:46:19 localhost automount: 1 remaining in /-
Feb 18 13:46:22 localhost automount: 1 remaining in /-

These would be more appropriate for logging = debug level, please consider adjusting the log level for these messages. Thanks.

Version-Release number of selected component (if applicable):
autofs-5.0.7-99.el7.x86_64

Comment 3 Kun Wang 2019-04-12 05:52:44 UTC
Verified based on below test result:


#####################################
# On autofs-5.0.7-104.el7           #
#####################################
:: [ 01:51:46 ] :: [  BEGIN   ] :: Bug 1680582 - Sanitize autofs logging :: actually running 'grep -r "1 remaining in" /var/log/messages'
Apr 12 01:51:44 hp-dl180g6-01 automount: 1 remaining in /nfs
:: [ 01:51:46 ] :: [   FAIL   ] :: Bug 1680582 - Sanitize autofs logging (Expected 1, got 0)

#####################################
# On autofs-5.0.7-105.el7 or later: #
#####################################
:: [ 01:43:20 ] :: [  BEGIN   ] :: Bug 1680582 - Sanitize autofs logging :: actually running 'grep -r "1 remaining in" /var/log/messages'
:: [ 01:43:20 ] :: [   PASS   ] :: Bug 1680582 - Sanitize autofs logging (Expected 1, got 1)

Comment 5 errata-xmlrpc 2019-08-06 13:10:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2250


Note You need to log in before you can comment on or make changes to this bug.